org.apache.felix.ipojo.extender

## Interface InstanceDeclaration

All Superinterfaces:
  Declaration

All Known Implementing Classes:
  DefaultInstanceDeclaration

    public interface InstanceDeclaration
    extends Declaration

Service published to instruct an instance creation.

### Field Summary

Fields
`static java.lang.String` `COMPONENT_NAME_PROPERTY` Service property specifying the component type's name.
`static java.lang.String` `COMPONENT_VERSION_PROPERTY` Service property specifying the component type's version.
`static java.lang.String` `INSTANCE_NAME` Service property specifying the instance name.
`static java.lang.String` `UNNAMED_INSTANCE` Value used when an instance configuration does not declare its name.

### Method Summary

All Methods Instance Methods Abstract Methods
`org.osgi.framework.Bundle` `getBundle()` Gets the bundle that is declaring this instance.
`java.lang.String` `getComponentName()`
`java.lang.String` `getComponentVersion()`
`java.util.Dictionary<java.lang.String,java.lang.Object>` `getConfiguration()` The instance configuration.
`java.lang.String` `getInstanceName()` Gets the instance name.

### Methods inherited from interface org.apache.felix.ipojo.extender.Declaration

`bind, getStatus, unbind, unbind`

### Field Detail

#### COMPONENT_NAME_PROPERTY

    static final java.lang.String COMPONENT_NAME_PROPERTY

Service property specifying the component type's name.

See Also:
  Constant Field Values

#### COMPONENT_VERSION_PROPERTY

    static final java.lang.String COMPONENT_VERSION_PROPERTY

Service property specifying the component type's version.

See Also:
  Constant Field Values

#### INSTANCE_NAME

    static final java.lang.String INSTANCE_NAME

Service property specifying the instance name.

See Also:
  Constant Field Values

#### UNNAMED_INSTANCE

    static final java.lang.String UNNAMED_INSTANCE

Value used when an instance configuration does not declare its name.

See Also:
  Constant Field Values

### Method Detail

#### getConfiguration

    java.util.Dictionary<java.lang.String,java.lang.Object> getConfiguration()

The instance configuration.

Returns:
  the instance configuration

#### getComponentName

    java.lang.String getComponentName()

Returns:
  the component type's name.

#### getComponentVersion

    java.lang.String getComponentVersion()

Returns:
  the component type's version, null if not set.

#### getInstanceName

    java.lang.String getInstanceName()

Gets the instance name.

Returns:
  the instance name, unnamed if not specified.

#### getBundle

    org.osgi.framework.Bundle getBundle()

Gets the bundle that is declaring this instance.

Returns:
  the bundle object
Since:
  1.11.2